package cn.ibizlab.r7.runtime.org.core.r7rt_org.service.logic.impl;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import cn.ibizlab.r7.runtime.org.core.r7rt_org.service.logic.IOrgUserSyncUserLogic;
import cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.kie.api.runtime.KieSession;
import org.kie.api.runtime.KieContainer;

/**
 * 关系型数据实体[SyncUser] 对象
 */
@Service
public class OrgUserSyncUserLogicImpl implements IOrgUserSyncUserLogic{

    @Autowired
    private KieContainer kieContainer;

    @Autowired
    private cn.ibizlab.r7.runtime.org.core.r7rt_base.service.IUserService userservice;

    @Autowired
    private cn.ibizlab.r7.runtime.org.core.r7rt_org.service.IOrgUserService iBzSysDefaultService;

    public void execute(OrgUser et){

          KieSession kieSession = null;
        try{
           kieSession=kieContainer.newKieSession();
           kieSession.insert(et); 
           kieSession.setGlobal("orgusersyncuserdefault",et);
           cn.ibizlab.r7.runtime.org.core.r7rt_base.domain.User  orgusersyncuseruser =new cn.ibizlab.r7.runtime.org.core.r7rt_base.domain.User();
           kieSession.insert(orgusersyncuseruser); 
           kieSession.setGlobal("orgusersyncuseruser",orgusersyncuseruser);
           kieSession.setGlobal("userservice",userservice);
           kieSession.setGlobal("iBzSysOrguserDefaultService",iBzSysDefaultService);
           kieSession.startProcess("cn.ibizlab.r7.runtime.org.core.r7rt_org.service.logic.orgusersyncuser");

        }catch(Exception e){
            System.out.println("执行[同步User]处理逻辑发生异常"+e);
        }finally {
            if(kieSession!=null)
            kieSession.destroy();
        }
    }

}
