package cn.ibizlab.r7.runtime.org.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.org.core.repository.po.OrgDeptUser;
import cn.ibizlab.r7.runtime.org.core.r7rt_org.filter.OrgDeptUserSearchContext;

/**
 * 实体 [部门用户] 存储对象
 */
public interface OrgDeptUserRepository extends Repository<OrgDeptUser> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<OrgDeptUser> searchDefault(OrgDeptUserSearchContext context);
    /**
	 * 查询集合 [getorgdeptuser]
	 * @param context
	 * @return
	 */
    Page<OrgDeptUser> searchGetorgdeptuser(OrgDeptUserSearchContext context);

    OrgDeptUser convert2PO(cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDeptUser domain , OrgDeptUser po) ;

    cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDeptUser convert2Domain( OrgDeptUser po ,cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDeptUser domain) ;

}
