package cn.ibizlab.r7.runtime.org.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.org.core.repository.po.OrgUser;
import cn.ibizlab.r7.runtime.org.core.r7rt_org.filter.OrgUserSearchContext;

/**
 * 实体 [组织用户] 存储对象
 */
public interface OrgUserRepository extends Repository<OrgUser> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<OrgUser> searchDefault(OrgUserSearchContext context);

    OrgUser convert2PO(cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgUser domain , OrgUser po) ;

    cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgUser convert2Domain( OrgUser po ,cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgUser domain) ;

}
