package cn.ibizlab.r7.runtime.org.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.org.core.r7rt_org.filter.OrgSearchContext;

/**
 * 实体 [组织] 存储模型
 */
public interface Org{

    /**
     * 组织级别编码
     */
    String getLevelCode();

    void setLevelCode(String levelCode);

    /**
     * 获取 [组织级别编码]脏标记
     */
    boolean getLevelCodeDirtyFlag();

    /**
     * 组织标识
     */
    String getOrgId();

    void setOrgId(String orgId);

    /**
     * 获取 [组织标识]脏标记
     */
    boolean getOrgIdDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 组织编码
     */
    String getOrgCode();

    void setOrgCode(String orgCode);

    /**
     * 获取 [组织编码]脏标记
     */
    boolean getOrgCodeDirtyFlag();

    /**
     * 组织名称
     */
    String getOrgName();

    void setOrgName(String orgName);

    /**
     * 获取 [组织名称]脏标记
     */
    boolean getOrgNameDirtyFlag();

    /**
     * 是否启用
     */
    Integer getEnable();

    void setEnable(Integer enable);

    /**
     * 获取 [是否启用]脏标记
     */
    boolean getEnableDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 组织名称
     */
    String getPOrgName();

    void setPOrgName(String pOrgName);

    /**
     * 获取 [组织名称]脏标记
     */
    boolean getPOrgNameDirtyFlag();

    /**
     * 组织标识
     */
    String getPOrgId();

    void setPOrgId(String pOrgId);

    /**
     * 获取 [组织标识]脏标记
     */
    boolean getPOrgIdDirtyFlag();

}
