package cn.ibizlab.r7.runtime.org.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.org.core.r7rt_org.filter.OrgDeptUserSearchContext;

/**
 * 实体 [部门用户] 存储模型
 */
public interface OrgDeptUser{

    /**
     * 是否启用
     */
    Integer getEnable();

    void setEnable(Integer enable);

    /**
     * 获取 [是否启用]脏标记
     */
    boolean getEnableDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 部门用户名称
     */
    String getOrgDeptUserName();

    void setOrgDeptUserName(String orgDeptUserName);

    /**
     * 获取 [部门用户名称]脏标记
     */
    boolean getOrgDeptUserNameDirtyFlag();

    /**
     * 部门用户标识
     */
    String getOrgDeptUserId();

    void setOrgDeptUserId(String orgDeptUserId);

    /**
     * 获取 [部门用户标识]脏标记
     */
    boolean getOrgDeptUserIdDirtyFlag();

    /**
     * 组织名称
     */
    String getOrgName();

    void setOrgName(String orgName);

    /**
     * 获取 [组织名称]脏标记
     */
    boolean getOrgNameDirtyFlag();

    /**
     * 部门名称
     */
    String getOrgDeptName();

    void setOrgDeptName(String orgDeptName);

    /**
     * 获取 [部门名称]脏标记
     */
    boolean getOrgDeptNameDirtyFlag();

    /**
     * 组织用户名称
     */
    String getOrgUserName();

    void setOrgUserName(String orgUserName);

    /**
     * 获取 [组织用户名称]脏标记
     */
    boolean getOrgUserNameDirtyFlag();

    /**
     * 组织用户标识
     */
    String getOrgUserId();

    void setOrgUserId(String orgUserId);

    /**
     * 获取 [组织用户标识]脏标记
     */
    boolean getOrgUserIdDirtyFlag();

    /**
     * 部门标识
     */
    String getOrgDeptId();

    void setOrgDeptId(String orgDeptId);

    /**
     * 获取 [部门标识]脏标记
     */
    boolean getOrgDeptIdDirtyFlag();

    /**
     * 组织标识
     */
    String getOrgId();

    void setOrgId(String orgId);

    /**
     * 获取 [组织标识]脏标记
     */
    boolean getOrgIdDirtyFlag();

}
