package cn.ibizlab.r7.runtime.org.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.org.core.r7rt_org.filter.OrgUserSearchContext;

/**
 * 实体 [组织用户] 存储模型
 */
public interface OrgUser{

    /**
     * 证件号码
     */
    String getCertNo();

    void setCertNo(String certNo);

    /**
     * 获取 [证件号码]脏标记
     */
    boolean getCertNoDirtyFlag();

    /**
     * 组织用户名称
     */
    String getOrgUserName();

    void setOrgUserName(String orgUserName);

    /**
     * 获取 [组织用户名称]脏标记
     */
    boolean getOrgUserNameDirtyFlag();

    /**
     * 用户编号
     */
    String getUserCode();

    void setUserCode(String userCode);

    /**
     * 获取 [用户编号]脏标记
     */
    boolean getUserCodeDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 移动电话
     */
    String getMobilePhone();

    void setMobilePhone(String mobilePhone);

    /**
     * 获取 [移动电话]脏标记
     */
    boolean getMobilePhoneDirtyFlag();

    /**
     * 用户标识
     */
    String getUserId();

    void setUserId(String userId);

    /**
     * 获取 [用户标识]脏标记
     */
    boolean getUserIdDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 备注
     */
    String getMemo();

    void setMemo(String memo);

    /**
     * 获取 [备注]脏标记
     */
    boolean getMemoDirtyFlag();

    /**
     * 组织用户标识
     */
    String getOrgUserId();

    void setOrgUserId(String orgUserId);

    /**
     * 获取 [组织用户标识]脏标记
     */
    boolean getOrgUserIdDirtyFlag();

    /**
     * 登录名
     */
    String getLoginName();

    void setLoginName(String loginName);

    /**
     * 获取 [登录名]脏标记
     */
    boolean getLoginNameDirtyFlag();

    /**
     * 是否启用
     */
    Integer getEnable();

    void setEnable(Integer enable);

    /**
     * 获取 [是否启用]脏标记
     */
    boolean getEnableDirtyFlag();

    /**
     * 性别
     */
    String getSex();

    void setSex(String sex);

    /**
     * 获取 [性别]脏标记
     */
    boolean getSexDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 证件类型
     */
    String getCertType();

    void setCertType(String certType);

    /**
     * 获取 [证件类型]脏标记
     */
    boolean getCertTypeDirtyFlag();

    /**
     * 组织名称
     */
    String getOrgName();

    void setOrgName(String orgName);

    /**
     * 获取 [组织名称]脏标记
     */
    boolean getOrgNameDirtyFlag();

    /**
     * 组织标识
     */
    String getOrgId();

    void setOrgId(String orgId);

    /**
     * 获取 [组织标识]脏标记
     */
    boolean getOrgIdDirtyFlag();

}
