package cn.ibizlab.r7.runtime.org.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.org.core.repository.po.OrgDept;
import cn.ibizlab.r7.runtime.org.core.r7rt_org.filter.OrgDeptSearchContext;

/**
 * 实体 [部门] 存储对象
 */
public interface OrgDeptRepository extends Repository<OrgDept> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<OrgDept> searchDefault(OrgDeptSearchContext context);
    /**
	 * 查询集合 [当前组织下的部门]
	 * @param context
	 * @return
	 */
    Page<OrgDept> searchCUR_ORG(OrgDeptSearchContext context);

    OrgDept convert2PO(cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDept domain , OrgDept po) ;

    cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDept convert2Domain( OrgDept po ,cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDept domain) ;

}
