package cn.ibizlab.r7.runtime.org.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.org.core.repository.po.Org;
import cn.ibizlab.r7.runtime.org.core.r7rt_org.filter.OrgSearchContext;

/**
 * 实体 [组织] 存储对象
 */
public interface OrgRepository extends Repository<Org> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<Org> searchDefault(OrgSearchContext context);

    Org convert2PO(cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.Org domain , Org po) ;

    cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.Org convert2Domain( Org po ,cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.Org domain) ;

}
