package cn.ibizlab.r7.runtime.org.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.org.core.r7rt_org.filter.OrgDeptSearchContext;

/**
 * 实体 [部门] 存储模型
 */
public interface OrgDept{

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 部门标识
     */
    String getOrgDeptId();

    void setOrgDeptId(String orgDeptId);

    /**
     * 获取 [部门标识]脏标记
     */
    boolean getOrgDeptIdDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 是否启用
     */
    Integer getEnable();

    void setEnable(Integer enable);

    /**
     * 获取 [是否启用]脏标记
     */
    boolean getEnableDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 部门名称
     */
    String getOrgDeptName();

    void setOrgDeptName(String orgDeptName);

    /**
     * 获取 [部门名称]脏标记
     */
    boolean getOrgDeptNameDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 部门级别编码
     */
    String getLevelCode();

    void setLevelCode(String levelCode);

    /**
     * 获取 [部门级别编码]脏标记
     */
    boolean getLevelCodeDirtyFlag();

    /**
     * 部门编码
     */
    String getDeptCode();

    void setDeptCode(String deptCode);

    /**
     * 获取 [部门编码]脏标记
     */
    boolean getDeptCodeDirtyFlag();

    /**
     * 部门名称
     */
    String getPOrgDeptName();

    void setPOrgDeptName(String pOrgDeptName);

    /**
     * 获取 [部门名称]脏标记
     */
    boolean getPOrgDeptNameDirtyFlag();

    /**
     * 组织名称
     */
    String getOrgName();

    void setOrgName(String orgName);

    /**
     * 获取 [组织名称]脏标记
     */
    boolean getOrgNameDirtyFlag();

    /**
     * 组织标识
     */
    String getOrgId();

    void setOrgId(String orgId);

    /**
     * 获取 [组织标识]脏标记
     */
    boolean getOrgIdDirtyFlag();

    /**
     * 部门标识
     */
    String getPOrgDeptId();

    void setPOrgDeptId(String pOrgDeptId);

    /**
     * 获取 [部门标识]脏标记
     */
    boolean getPOrgDeptIdDirtyFlag();

}
